Package ghidra.program.model.symbol

# Interface SymbolTableListener

public interface SymbolTableListener
Listener methods that are called when changes to symbols are made.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `associationAdded(SourceType symbol, Reference ref)`
  Notification that the association between a reference and a specific symbol has changed.
  `void`
  `associationRemoved(Reference ref)`
  Notification that the association between the given reference and any symbol was removed.
  `void`
  `externalEntryPointAdded(Address addr)`
  Notification that an external entry point was added at the given address.
  `void`
  `externalEntryPointRemoved(Address addr)`
  Notification that an external entry point was removed from the given address.
  `void`
  `primarySymbolSet(SourceType symbol)`
  Notification that the given symbol was set as the primary symbol.
  `void`
  `symbolAdded(SourceType symbol)`
  Notification that the given symbol has been added.
  `void`
  `symbolRemoved(Address addr, String name, boolean isLocal)`
  Notification that a symbol was removed.
  `void`
  `symbolRenamed(SourceType symbol, String oldName)`
  Notification that the given symbol was renamed.
  `void`
  `symbolScopeChanged(SourceType symbol)`
  Notification that the scope on a symbol changed.

- ## Method Details

  - ### symbolAdded

    void symbolAdded(SourceType symbol)
    Notification that the given symbol has been added.
    Parameters:
      `symbol` - the symbol that was added.

  - ### symbolRemoved

    void symbolRemoved(Address addr, String name, boolean isLocal)
    Notification that a symbol was removed.
    Parameters:
      `addr` - address where the symbol was
      `name` - name of symbol
      `isLocal` - true if the symbol was in the scope of a function

  - ### symbolRenamed

    void symbolRenamed(SourceType symbol, String oldName)
    Notification that the given symbol was renamed.
    Parameters:
      `symbol` - symbol that was renamed
      `oldName` - old name of the symbol

  - ### primarySymbolSet

    void primarySymbolSet(SourceType symbol)
    Notification that the given symbol was set as the primary symbol.
    Parameters:
      `symbol` - the symbol that is now primary.

  - ### symbolScopeChanged

    void symbolScopeChanged(SourceType symbol)
    Notification that the scope on a symbol changed.
    Parameters:
      `symbol` - the symbol whose scope has changed.

  - ### externalEntryPointAdded

    void externalEntryPointAdded(Address addr)
    Notification that an external entry point was added at the given address.
    Parameters:
      `addr` - the address that made an external entry point.

  - ### externalEntryPointRemoved

    void externalEntryPointRemoved(Address addr)
    Notification that an external entry point was removed from the given address.
    Parameters:
      `addr` - the address the removed as an external entry point.

  - ### associationAdded

    void associationAdded(SourceType symbol, Reference ref)
    Notification that the association between a reference and a specific symbol has changed.
    Parameters:
      `symbol` - affected symbol
      `ref` - affected reference

  - ### associationRemoved

    void associationRemoved(Reference ref)
    Notification that the association between the given reference and any symbol was removed.
    Parameters:
      `ref` - the reference that had a symbol association removed.